Package: logol / 1.7.9-1

Metadata

Package Version Patches format
logol 1.7.9-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
remove_drmaa_support | (download)

src/org/irisa/genouest/logol/dispatcher/Dispatch.java | 7 0 + 7 - 0 !
src/org/irisa/genouest/logol/dispatcher/SGEJobManager.java | 91 3 + 88 - 0 !
2 files changed, 3 insertions(+), 95 deletions(-)

  drmaa job submission needs a java drmaa library.
 libdrmaa-java has been removed from Debian, bug: 776131.
 This patch removes DRMAA related code waiting for library
 reintroduction.
 Logol will work on local mode only.
fixLibPath | (download)

build.xml | 31 28 + 3 - 0 !
log4j.properties | 2 1 + 1 - 0 !
2 files changed, 29 insertions(+), 4 deletions(-)

 debian libraries should be used
setDebianDirs | (download)

LogolExec.sh | 2 1 + 1 - 0 !
LogolMultiExec.sh | 2 1 + 1 - 0 !
prolog/logol.properties | 6 3 + 3 - 0 !
3 files changed, 5 insertions(+), 5 deletions(-)

 debian policy hierarchy use
fix_doc_generation | (download)

Doc/grammar/generate.sh | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 debian libraries should be used
remove_rubygems_usage | (download)

tools/logolIndex.rb | 1 0 + 1 - 0 !
tools/logolSearch.rb | 4 2 + 2 - 0 !
2 files changed, 2 insertions(+), 3 deletions(-)

  supported version of ruby in jessie+ are higher that 1.9
 and they all automatically load rubygems
fix_antlr35 | (download)

src/logol.g | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 switch to antlr 3.5 (from 3.2) leads to errors.
This patch fix antlr 3.5 parser generation issues on optional tokens, using workaround in grammar description

Bug: #820286

fix_swipl_declarations | (download)

prolog/logol.pl | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 swi-prolog raise an error for exported procedure not matching
 declared procedure.
 It also raises error on modules declared for sicstus prolog. Patch need to
 remove them (not needed for swi-prolog)
fix_swipl_foreign_load | (download)

prolog/logol.pl | 6 6 + 0 - 0 !
1 file changed, 6 insertions(+)

 force the path to load foreign libraries
 in main prolog
remove_test | (download)

src/org/irisa/genouest/logol/test/GrammarTest.java | 24 0 + 24 - 0 !
1 file changed, 24 deletions(-)

 current antlr does not accept some previous
 accepted grammars